petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscStrallocpy

Allocates space to hold a copy of a string then copies the string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrallocpy(const char s[],char *t[])

Not Collective

### Input Parameters

s -pointer to string

### Output Parameter

t -the copied string

### Note

Null string returns a new null string

Not for use in Fortran

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages